---
title: Create / Update ClientCustomField
slug: create-update-clientcustomfield
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "tV4--ZUmwm6WR2Y-fsHDt",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev1.frontu.com//client/api/v2/customfields/clients",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/customfields/clients"
      }
    ],
    "name": "Create / Update ClientCustomField",
    "description": "This endpoint allows to create or update client custom field values.\n\nIf you want to update Client Custom Field values using POST method you need to fill information for guid field or systemId field in request body.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "schema": [
            {
              "name": "title",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "type",
              "kind": "required",
              "type": "integer<int32>",
              "description": "<p>(0 - text, 1 - select, 2 - date, 3 - number,\n*             4 - checkbox, 5 - autocomplete, 6 - email, 7 - phone)</p>",
              "format": "int32"
            },
            {
              "name": "required",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "visible",
              "kind": "optional",
              "type": "boolean",
              "description": ""
            },
            {
              "name": "data",
              "kind": "optional",
              "type": "string",
              "description": "<p>For 'Select' and 'Autocomplete' custom fields, enter serialized array of comma-separated options here, e.g. \"[\"One\",\"Two\",\"Three\"]\"</p>"
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "201",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Data contains errors",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "VZ2ed8mViFL42a-I6UhDp",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev1.frontu.com//client/api/v2/customfields/clients \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"title\": \"\",\n     \"type\": \"\"\n     }'"
        },
        {
          "id": "gPv6y1sNrufWQbGR0LGsc",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"title\": \"\",\n   \"type\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/customfields/clients\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "CJThWv9tju98W7HN2_3Md",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/customfields/clients\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"title\": \"\",\n   \"type\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "lHQDfUbRTmTbE1WPdTp5k",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/customfields/clients\"\n\npayload = json.dumps({\n   \"title\": \"\",\n   \"type\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "VZ2ed8mViFL42a-I6UhDp"
    },
    "results": {
      "languages": [
        {
          "id": "X1VpWmypLdHQX_KsslNHC",
          "language": "201",
          "code": "// Returned when successful\n"
        },
        {
          "id": "ZJTqal-_LL9JaJ2io0oBz",
          "language": "400",
          "code": "// Data contains errors\n"
        }
      ],
      "selectedLanguageId": "X1VpWmypLdHQX_KsslNHC"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}